Bug 31409 - Miro не работает.
: Miro не работает.
Status: NEW
: Sisyphus
(All bugs in Sisyphus/Miro)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-10-28 11:47 by
Modified: 2016-04-15 15:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-10-28 11:47:20
Попробовал на всех дистрибутивах р7, программа не запускается, везде выдает
такие ошибки:
====
$ miro
2015-10-28 11:25:13,735 INFO     Starting up Miro
2015-10-28 11:25:13,737 INFO     Version:    3.5.1
2015-10-28 11:25:13,738 INFO     Revision:   
2015-10-28 11:25:13,738 INFO     Builder:    rupor@Koi-184.localdomain
2015-10-28 11:25:13,739 INFO     Build Time: 1446019365.89
2015-10-28 11:25:13,739 INFO     Reading HTTP Password list
2015-10-28 11:25:13,740 INFO     Starting libCURL thread
2015-10-28 11:25:13,759 INFO     Starting event loop thread
2015-10-28 11:25:13,761 INFO     Restoring database...
2015-10-28 11:25:13,765 INFO     Sqlite3 version:   3.7.15.2
2015-10-28 11:25:13,766 INFO     Pysqlite version:  2.6.0
2015-10-28 11:25:13,766 INFO     opening database /home/rupor/.miro/sqlitedb
2015-10-28 11:25:13,769 ERROR    error when upgrading database: no such table:
dtv_variables
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/miro/storedatabase.py", line 233, in
upgrade_database
    self._upgrade_database()
  File "/usr/lib64/python2.7/site-packages/miro/storedatabase.py", line 322, in
_upgrade_database
    self.startup_version = current_version = self._get_version()
  File "/usr/lib64/python2.7/site-packages/miro/storedatabase.py", line 839, in
_get_version
    return self._get_variable(VERSION_KEY)
  File "/usr/lib64/python2.7/site-packages/miro/storedatabase.py", line 373, in
_get_variable
    "WHERE name=?", (name,))
OperationalError: no such table: dtv_variables
2015-10-28 11:25:13,837 INFO     Linux version:     Linux
3.14.54-std-def-alt0.M70P.1 x86_64
2015-10-28 11:25:13,838 INFO     Python version:    2.7.6 (default, Apr  4
2014, 09:29:39) 
[GCC 4.7.2 20121109 (ALT Linux 4.7.2-alt7)]
2015-10-28 11:25:13,839 INFO     Gtk+ version:      (2, 24, 21)
2015-10-28 11:25:13,839 WARNING  upgrade failed. Backing up database to
/home/rupor/.miro/failed_upgrade_database
2015-10-28 11:25:13,839 INFO     PyGObject version: (2, 28, 6)
2015-10-28 11:25:13,842 INFO     PyGtk version:     (2, 24, 0)
2015-10-28 11:25:13,843 INFO     Language:          [('LANG', 'ru_RU.UTF-8')]
2015-10-28 11:25:13,997 INFO     libtorrent:        1.0.0.0
2015-10-28 11:25:13,998 INFO     pycurl:            libcurl/7.31.0-DEV
OpenSSL/1.0.1k zlib/1.2.8 libidn/1.27 libssh2/1.4.3_DEV
2015-10-28 11:25:13,999 INFO     set_renderer: trying to add gstreamerrenderer
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py:193: Warning:
cannot register existing type `GstObject'
  from _gst import *
/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py:193: Warning:
g_once_init_leave: assertion `result != 0' failed
  from _gst import *
/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py:193: Warning:
g_type_register_static: assertion `parent_type > 0' failed
  from _gst import *
/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py:193: Warning:
interface type `GstImplementsInterface' or prerequisite type `<invalid>'
invalid
  from _gst import *
====
Есть предположение,что ошибка связана с переходом версии gstreamer.
http://lists.opensuse.org/opensuse/2013-04/msg01103.html
------- Comment #1 From 2015-10-28 14:31:12 -------
На Sisyphus та же ошибка при повторном запуске.
------- Comment #2 From 2015-10-28 14:31:24 -------
На Sisyphus та же ошибка при повторном запуске.
------- Comment #3 From 2016-04-15 15:16:55 -------
обнаружил такую же проблему.
https://forum.altlinux.org/index.php?topic=36664.0